ru.bitel.bgbilling.kernel.filestorage.common.bean

## Class BGServerFile

- java.lang.Object
- - ru.bitel.bgbilling.kernel.filestorage.common.bean.BGServerFile

- All Implemented Interfaces:
    java.lang.Cloneable, Contractable, Idable

      public class BGServerFile
      extends java.lang.Object
      implements Contractable, Idable, java.lang.Cloneable

  Хранимый файл.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGServerFile()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BGServerFile` | `clone()`
    `static void` | `fromJSON(org.json.JSONObject jsonObject, BGServerFile bgServerFile)`
    `java.lang.String` | `getComment()`
    `int` | `getContractId()` Возвращает код договора к которому привязан объект.
    `java.util.Date` | `getDate()`
    `int` | `getId()` Возвращает id объекта
    `int` | `getOwnerId()`
    `long` | `getSize()`
    `java.lang.String` | `getTitle()`
    `int` | `getUserId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)` Устанавливает код договора к которому привязан объект.
    `void` | `setDate(java.util.Date date)`
    `void` | `setId(int id)`
    `void` | `setOwnerId(int ownerId)`
    `void` | `setSize(long size)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setUserId(int userId)`
    `static void` | `toJSON(BGServerFile bgServerFile, org.json.JSONObject jsonObject)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BGServerFile

          public BGServerFile()

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getOwnerId

          public int getOwnerId()

    - #### setOwnerId

          public void setOwnerId(int ownerId)

    - #### getId

          public int getId()

      Description copied from interface: `Idable`
      Возвращает id объекта
      Specified by:
        `getId` in interface `Idable`
      Returns:

    - #### setId

          public void setId(int id)

    - #### getSize

          public long getSize()

    - #### setSize

          public void setSize(long size)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getContractId

          public int getContractId()

      Description copied from interface: `Contractable`
      Возвращает код договора к которому привязан объект.
      Specified by:
        `getContractId` in interface `Contractable`
      Returns:
        код договора

    - #### setContractId

          public void setContractId(int contractId)

      Description copied from interface: `Contractable`
      Устанавливает код договора к которому привязан объект.
      Specified by:
        `setContractId` in interface `Contractable`
      Parameters:
        `contractId` - код договора

    - #### clone

          public BGServerFile clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toJSON

          public static void toJSON(BGServerFile bgServerFile,
                                    org.json.JSONObject jsonObject)

    - #### fromJSON

          public static void fromJSON(org.json.JSONObject jsonObject,
                                      BGServerFile bgServerFile)